Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.mm7.management
Interface Mm7MBean

public interface Mm7MBean

The configuration for MM7. Each of the plug-in instances deployed on each network tier server connects to one specific MMSC on one configured endpoint. There are typically at least two plug-in instances connecting to each MMSC; one per network tier server. If several MMSC’s are to be connected, then additional plug-in instances have to be installed in the network tier cluster. If one logical MM7 MMSC consists of several servers at different endpoints in a redundant setup, then either a load balancer should be put in front of the MMSC servers or several plug-in instances are installed (and configured with the same network node ID). Normal plug-in routing based on destination address is used.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `hTTPBasicAuthentication`
`static String` | `hTTPBasicAuthenticationPassword`
`static String` | `hTTPBasicAuthenticationUsername`
`static String` | `mm7RelayServerAddress`
`static String` | `mm7XSDVersion`

Method Summary
`void` | `addVASIDMapping(String spVasID, String wlngVasID)`
`void` | `addVASPIDMapping(String spVaspID, String wlngVaspID)`
`void` | `enableReceiveMmsNotification(String address, String appInstGroupID, String applicationURI)`
`void` | `enableStatusReporting(String appInstGroupID, String applicationURI)`
`boolean` | `getHTTPBasicAuthentication()`
`String` | `getHTTPBasicAuthenticationPassword()`
`String` | `getHTTPBasicAuthenticationUsername()`
`String` | `getMm7RelayServerAddress()`
`String` | `getMm7XSDVersion()`
`String` | `getReceiveMmsNotificationForAddress(String address)`
`String` | `getReceiveMmsNotificationMatches(String address)`
`String` | `listAllVASIDMapping()`
`String` | `listAllVASPIDMapping()`
`String` | `listReceiveMmsNotifications()`
`String` | `listStatusReportingNotifications()`
`String` | `listVASIDMapping(String spVasID)`
`String` | `listVASPIDMapping(String spVaspID)`
`void` | `removeReceiveMmsNotification(String address)`
`void` | `removeStatusReporting(String appInstGroupID)`
`void` | `removeVASIDMapping(String spVasID)`
`void` | `removeVASPIDMapping(String spVaspID)`
`void` | `setHTTPBasicAuthentication(boolean hTTPBasicAuthentication)`
`void` | `setHTTPBasicAuthenticationPassword(String hHTTPBasicAuthenticationPassword)`
`void` | `setHTTPBasicAuthenticationUsername(String hHTTPBasicAuthenticationUsername)`
`void` | `setMm7RelayServerAddress(String mm7RelayServerAddress)`
`void` | `setMm7XSDVersion(String mm7Version)`

Field Detail

### hTTPBasicAuthentication

    public static final boolean hTTPBasicAuthentication

### hTTPBasicAuthenticationPassword

    public static final String hTTPBasicAuthenticationPassword

### hTTPBasicAuthenticationUsername

    public static final String hTTPBasicAuthenticationUsername

### mm7RelayServerAddress

    public static final String mm7RelayServerAddress

### mm7XSDVersion

    public static final String mm7XSDVersion

Method Detail

### addVASIDMapping

    public void addVASIDMapping(String spVasID,
                                String wlngVasID)
                         throws ManagementException

  Throws:
    `ManagementException`

### addVASPIDMapping

    public void addVASPIDMapping(String spVaspID,
                                 String wlngVaspID)
                          throws ManagementException

  Throws:
    `ManagementException`

### enableReceiveMmsNotification

    public void enableReceiveMmsNotification(String address,
                                             String appInstGroupID,
                                             String applicationURI)
                                      throws ConfigurationException

  Throws:
    `ConfigurationException`

### enableStatusReporting

    public void enableStatusReporting(String appInstGroupID,
                                      String applicationURI)
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

### getHTTPBasicAuthentication

    public boolean getHTTPBasicAuthentication()
                                       throws NotInitializedException,
                                              InvalidTypeException

  Throws:
    `NotInitializedException`
    `InvalidTypeException`

### getHTTPBasicAuthenticationPassword

    public String getHTTPBasicAuthenticationPassword()
                                              throws NotInitializedException,
                                                     InvalidTypeException

  Throws:
    `NotInitializedException`
    `InvalidTypeException`

### getHTTPBasicAuthenticationUsername

    public String getHTTPBasicAuthenticationUsername()
                                              throws NotInitializedException,
                                                     InvalidTypeException

  Throws:
    `NotInitializedException`
    `InvalidTypeException`

### getMm7RelayServerAddress

    public String getMm7RelayServerAddress()
                                    throws NotInitializedException,
                                           InvalidTypeException

  Throws:
    `NotInitializedException`
    `InvalidTypeException`

### getMm7XSDVersion

    public String getMm7XSDVersion()
                            throws NotInitializedException,
                                   InvalidTypeException

  Throws:
    `NotInitializedException`
    `InvalidTypeException`

### getReceiveMmsNotificationForAddress

    public String getReceiveMmsNotificationForAddress(String address)
                                               throws ManagementException

  Throws:
    `ManagementException`

### getReceiveMmsNotificationMatches

    public String getReceiveMmsNotificationMatches(String address)
                                            throws ManagementException

  Throws:
    `ManagementException`

### listAllVASIDMapping

    public String listAllVASIDMapping()
                               throws ManagementException

  Throws:
    `ManagementException`

### listAllVASPIDMapping

    public String listAllVASPIDMapping()
                                throws ManagementException

  Throws:
    `ManagementException`

### listReceiveMmsNotifications

    public String listReceiveMmsNotifications()
                                       throws ManagementException

  Throws:
    `ManagementException`

### listStatusReportingNotifications

    public String listStatusReportingNotifications()
                                            throws ManagementException

  Throws:
    `ManagementException`

### listVASIDMapping

    public String listVASIDMapping(String spVasID)
                            throws ManagementException

  Throws:
    `ManagementException`

### listVASPIDMapping

    public String listVASPIDMapping(String spVaspID)
                             throws ManagementException

  Throws:
    `ManagementException`

### removeReceiveMmsNotification

    public void removeReceiveMmsNotification(String address)
                                      throws ManagementException

  Throws:
    `ManagementException`

### removeStatusReporting

    public void removeStatusReporting(String appInstGroupID)
                               throws ManagementException

  Throws:
    `ManagementException`

### removeVASIDMapping

    public void removeVASIDMapping(String spVasID)
                            throws ManagementException

  Throws:
    `ManagementException`

### removeVASPIDMapping

    public void removeVASPIDMapping(String spVaspID)
                             throws ManagementException

  Throws:
    `ManagementException`

### setHTTPBasicAuthentication

    public void setHTTPBasicAuthentication(boolean hTTPBasicAuthentication)
                                    throws ConfigurationException

  Throws:
    `ConfigurationException`

### setHTTPBasicAuthenticationPassword

    public void setHTTPBasicAuthenticationPassword(String hHTTPBasicAuthenticationPassword)
                                            throws ConfigurationException

  Throws:
    `ConfigurationException`

### setHTTPBasicAuthenticationUsername

    public void setHTTPBasicAuthenticationUsername(String hHTTPBasicAuthenticationUsername)
                                            throws ConfigurationException

  Throws:
    `ConfigurationException`

### setMm7RelayServerAddress

    public void setMm7RelayServerAddress(String mm7RelayServerAddress)
                                  throws ConfigurationException

  Throws:
    `ConfigurationException`

### setMm7XSDVersion

    public void setMm7XSDVersion(String mm7Version)
                          throws ConfigurationException

  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD